# AccessReviewRequestedChangesEmail
# ----------------------------
#
# Data type: string
#
# Status: Optional
#
# Description: The email address to which notifications should be sent for every change request.

# AccessReviewToolbarBackgroundColor
# ----------------------------
#
# Data type: string
#
# Status: Optional
#
# Description: a CSS specification of the background color for toolbars of Elimity Insights' access review wizards.
# Elimity Insights will use its primary blue color as a default.

# AccessReviewToolbarLogoPath
# ----------------------------
#
# Data type: string
#
# Status: Optional
#
# Description: The file path to use for overriding the logo in toolbars of Elimity Insights' access review wizards. We
# recommend using an image with a transparent background and a height/width ratio of approximately 1/7. If you don't
# specify this option, then Elimity Insights will use a white Elimity logo.

# BaseURL
# ----------------------------
#
# Data type: URL
#
# Status: Required
#
# Description: The URL on which the server is accessed.
BaseURL: https://example.com:8081

# DefaultAccountEmail
# ----------------------------
#
# Data type: string
#
# Status: Optional
#
# Description: If there are no accounts and no invites in the database on startup, an invite will be sent to this email
# address.
DefaultAccountEmail: admin@example.com

# EnablePasswordAuthentication
# ----------------------------
#
# Data type: boolean
#
# Status: Required
#
# Description: This flag indicates whether to enable authentication using username/password.
EnablePasswordAuthentication: true

# EnableOIDCAuthentication
# ----------------------------
#
# Data type: boolean
#
# Status: Required
#
# Description: This flag indicates whether to enable authentication over OpenID Connect.
EnableOIDCAuthentication: false

# HttpsEnabled
# ----------------------------
#
# Data type: boolean
#
# Status: Optional
#
# Default value: true
#
# Description: If enabled, the Elimity Insights will additionally listen for HTTPS traffic on `TLSListeningPort`. It
# will also redirect HTTP requests arriving at `ListeningPort`. We discourage enabling this option, please deploy a
# dedicated HTTPS proxy instead. 
HttpsEnabled: false

# ListeningPort
# ----------------------------
#
# Data type: integer
#
# Status: Optional
#
# Default value: 8080
#
# Description: The port to listen on for HTTP.

# LogFile
# ----------------------------
#
# Data type: string pointing to a text file
#
# Status: Optional
#
# Description: The log file to use. If specified, write everything to the logfile. If not specified,
# the application will log to the console. The provided path can either be an absolute path or a
# path relative to the location from which the application is run.

# LoginPageBackgroundPath
# ----------------------------
#
# Data type: string
#
# Status: Optional
#
# Description: The file path to use for overriding the default background image on Elimity Insights' login page.

# MailSender
# ----------------------------
#
# Data type: string
#
# Status: Required
#
# Description: the email account that should be used for sending mail from the backend.
MailSender: noreply@elimity.com

# OIDCProvider
# ----------------------------
#
# Data type: URL
#
# Status: Required if `EnableOIDCAuthentication` == true
#
# Description: The URL of the OpenID Connect provider to use. This URL is the URL of the OIDC
# discovery document minus ".well-known/openid-configuration". This config option is only used
# if `EnableOIDCAuthentication` is true.

# OIDCClientID
# ----------------------------
#
# Data type: string
#
# Status: Required if `EnableOIDCAuthentication` == true
#
# Description: The OpenID Connect client ID to use. This config option is only used if `EnableOIDCAuthentication`
# is true.

# OrganisationName
# ----------------------------
#
# Data type: string
#
# Status: Required
#
# Description: The name of your organisation
OrganisationName: Your company

# PrefillCache
# ----------------------------
#
# Data type: boolean
#
# Status: Optional
#
# Default value: false
#
# Description: This flag indicates whether prefill the cache of user-role-entitlement-permission-application connections
# at server startup. By enabling this you improve performance from the end-user perspective. However, do mind that depending
# on the size of your data set this cache can become very big very quickly, which may exceed your RAM limit.

# ReadTimeOutMinutes
# ----------------------------
#
# Data type: int
#
# Status: Optional
#
# Default value: 5
#
# Description: the read time out of the server, in minutes

# SupportCustomMailServer
# ----------------------------
#
# Data type: boolean
#
# Status: Optional
#
# Default value: false
#
# Description: determines whether admins can configure a custom mail server.

# SupportPageURL
# ----------------------------
#
# Data type: string
#
# Status: Optional
#
# Default value: ''
#
# Description: a link to the support page shown at the top of the frontend.

# TLSCertificate
# ----------------------------
#
# Data type: string representing the location of the TLS certificate
#
# Status: Required if HttpsEnabled = true
#
# Description: Location of the TLS certificate. The provided path can either be an absolute path or a
# path relative to the location from which the application is run.
TLSCertificate: config/certificate.pem

# TLSCertificateKey
# ----------------------------
#
# Data type: string representing the location of the TLS certificate key
#
# Status: Required if HttpsEnabled = true
#
# Description: Location of the key corresponding to the TLS certificate indicated by config option `TLSCertificate`.
# The provided path can either be an absolute path or a path relative to the location from which the application is run.
TLSCertificateKey: config/key.pem

# TLSListeningPort
# ----------------------------
#
# Data type: integer
#
# Status: Optional
#
# Default value: 8081
#
# Description: The port to listen on for HTTPS.

# TemplatesPath
# ----------------------------
#
# Data type: string
#
# Status: Optional
#
# Description: The directory path to use for overriding various HTML and plain-text templates in Elimity Insights.

# WriteTimeOutMinutes
# ----------------------------
#
# Data type: int
#
# Status: Optional
#
# Default value: 15
#
# Description: the write time out of the server, in minutes
